@import 'variables.scss';

.container {
  height: calc(100vh - 110px);
  padding-top: 20px;
  padding-left: 20px;

  * {
    font-family: Roboto;
  }
}

.title {
  color: #292b2c;
  font-family: Roboto;
  font-size: 15px;
  font-weight: 900;
  line-height: 24px;
  margin-right: 46px;
}

::ng-deep.cover-toggle {
  position: relative;
  top: -14px;

  mat-button-toggle-group {
    box-shadow: none;
    border: 1px solid $secondary-color;
    border-radius: 3px;

    mat-button-toggle {
      color: $black-ui;
      border-left: 1px solid rgba(0, 0, 0, 0.12);

      &:first-child {
        border-left: none;
      }
    }

    .mat-button-toggle-label-content {
      line-height: 25px;
    }

    .mat-button-toggle-checked {
      color: $white-text-color;
      background: $primary-color;
    }
  }
}

/deep/ {
  .mat-form-field {
    .mat-form-field-wrapper {
      .mat-form-field-flex {
        background-color: $white;
      }
    }
  }

  .mat-form-field-label {
    transform: none !important;
    position: relative !important;
    top: 10px !important;
    left: 10px !important;
  }

  .mat-form-field-can-float.mat-form-field-should-float {
    .mat-form-field-label,
    .mat-form-field-empty.mat-form-field-label {
      display: none !important;
    }
  }

  .mat-form-field-underline {
    display: none;
  }

  .mat-form-field-infix {
    border: none;
    border-radius: 6px;
    width: 180px;
    height: 35px;
    padding: 10px !important;
    box-shadow: 0 2px 4px 0 rgba(0, 0, 0, 0.05);
  }
}

.top-page {
  display: flex;
  align-items: center;
  width: 100%;
  height: 56px;
  position: relative;

  &:before {
    content: '';
    display: block;
    width: calc(100% - 20px);
    height: 1px;
    background: rgba(0, 0, 0, 0.12);
    position: absolute;
    bottom: 0;
    left: 0;
  }

  .title {
    position: relative;
    top: -8px;
  }

  .top-btn {
    display: flex;
    align-items: center;
    justify-content: flex-end;
    position: absolute;
    top: 0;
    right: 20px;

    .btn-calculator {
      display: flex;
      align-items: center;
      justify-content: center;
      min-width: 104px;
      height: 35px;
      padding: 0;
      font-size: 15px;
      font-weight: bold;
      color: $white-text-color;
      border: none;
      border-radius: 3px;
      background: $primary-color;
      box-shadow: 0 2px 4px 0 rgba(0, 0, 0, 0.05);
      cursor: pointer;

      ::ng-deep.mat-button-wrapper {
        line-height: 33px;
      }

      &.export {
        min-width: 134px;
        margin-right: 15px;
      }

      &[disabled] {
        background: $default-border-color;
        pointer-events: none;
      }
    }
  }

  .box-export {
    display: flex;
    align-items: center;
    margin-right: 20px;

    .export-icon {
      font-size: 24px;

      &.pdf-icon {
        color: $primary-color;
      }

      &.csv-icon {
        color: $primary-color;
      }
    }

    .title-export {
      display: block;
      font-size: 12px;
      font-weight: bold;
      color: $gray-darker;
      text-transform: uppercase;
    }

    .click-export {
      display: block;
      width: 20px;
      margin-left: 15px;

      img {
        display: block;
      }
    }
  }

  ::ng-deep .cover-radio {
    display: inline-block;

    .text-radio {
      display: inline-block;
      padding-left: 20px;
      font-size: 14px;
      font-weight: bold;
      color: $gray-darker;
      text-transform: capitalize;
    }

    .mat-radio-button {
      padding-left: 23px;

      &.mat-accent {
        .mat-radio-container {
          width: 18px;
          height: 18px;
        }

        .mat-radio-outer-circle {
          width: 18px;
          height: 18px;
          border-color: $gray-disabled;
        }

        .mat-radio-inner-circle {
          width: 18px;
          height: 18px;
        }
      }

      .mat-radio-label-content {
        color: $gray-darker;
      }
    }
  }
}

// cover content
.cover-content {
  height: calc(100vh - 183px);
  overflow-x: auto;
  position: relative;

  // top content
  .top-content {
    width: 100%;
    padding-top: 17px;
    position: relative;

    .line-top {
      width: calc(100% - 30px);
      height: 1px;
      background: rgba(0, 0, 0, 0.12);
      position: absolute;
      top: 0;
      left: 0;
    }

    .title-box {
      display: block;
      margin-bottom: 4px;
      font-size: 15px;
      font-weight: 500;
      color: $gray-darker;
      text-transform: capitalize;
    }

    // input here
    .input-here {
      width: 303px;
      height: 35px;
      margin-bottom: 20px;
      border-radius: 6px;
      background: $white-text-color;
      box-shadow: 0 2px 4px 0 rgba(0, 0, 0, 0.05);
      position: relative;
    }
  }

  // second content
  .second-content {
    width: 100%;
    min-width: 1080px;
    padding-right: 20px;

    .box-add {
      width: 100%;
      padding-bottom: 20px;
      position: relative;

      .list-add {
        width: 100%;
        margin: 0;
        padding: 0;
        list-style-type: none;

        li {
          width: 100%;

          &.special-item {
            z-index: 10;
          }
        }

        .header-input {
          display: flex;
          align-items: center;
          width: 100%;
          min-height: 40px;
          margin-bottom: 12px;
          position: relative;
          z-index: 10;

          &:before {
            content: '';
            display: block;
            width: calc(100% - 16px);
            height: 100%;
            border-radius: 6px 6px 0 0;
            background: #006ed2;
            position: absolute;
            top: 0;
            left: 0;
          }

          .header-input-tile {
            display: flex;
            align-items: center;
            justify-content: center;
            width: calc(7.9% - 10px);
            height: 50px;
            margin-right: 10px;
            cursor: pointer;
            position: relative;
            z-index: 20;

            &:first-child {
              width: calc(12.61% - 10px);
              cursor: default;
            }

            &:hover {
              .fulltext {
                display: block;
              }
            }

            .name-col {
              font-size: 14px;
              font-weight: 500;
              color: #fff;
              text-align: center;
            }

            .fulltext {
              display: none;
              width: 60%;
              height: auto;
              position: absolute;
              top: 7px;
              right: -45px;
              background: #fff;
              padding: 5px;
              border: 1px solid rgba(0, 0, 0, 0.1);
              border-radius: 4px;

              &.short-ver {
                top: 10px;

                &:before {
                  top: 10px;
                }
              }

              &.last-item {
                width: 50%;
                right: -35px;
              }

              &:before {
                content: '';
                display: block;
                width: 0;
                height: 0;
                border-style: solid;
                border-width: 4px 8px 4px 0;
                border-color: transparent #ffffff transparent transparent;
                position: absolute;
                top: 12px;
                left: -8px;
              }

              .blacktext {
                font-size: 12px;
                font-weight: 500;
                color: #000;
                margin: 0;
              }
            }
          }
        }
      }

      .click-add {
        display: block;
        max-width: 125px;
        padding-top: 8px;
        font-size: 14px;
        font-weight: 500;
        color: $primary-color;
        text-transform: capitalize;

        .add-icon {
          margin-right: 5px;
        }
      }

      .line-top {
        width: 100%;
        height: 1px;
        background: rgba(0, 0, 0, 0.12);
        position: absolute;
        bottom: 0;
        left: 0;
      }
    }

    // box content
    .box-content {
      width: 100%;
      padding-top: 30px;
      position: relative;

      .line-top {
        width: 100%;
        height: 1px;
        background: rgba(0, 0, 0, 0.12);
        position: absolute;
        top: 0;
        left: 0;
      }
    }
  }
}
